using Model;
using Newtonsoft.Json.Linq;
using NuGet.Frameworks;

namespace TestUnitaires
{

    public class TU_Playlist
    {
        [Theory]
        [InlineData("Sons Soirées","red-sky.png","Contient les sons que je mets quand je suis en soirée.")]
        [InlineData(null, "red-sky.png", "Contient les sons que je mets quand je suis en soirée.")]
        [InlineData("Sons Soirées", null, "Contient les sons que je mets quand je suis en soirée.")]
        [InlineData("Sons Soirées", "red-sky.png", null)]
        [InlineData("Sons Soirées", "redskypng", "Contient les sons que je mets quand je suis en soirée.")]
        [InlineData("Sons Soirées", "red-sky .png", "Contient les sons que je mets quand je suis en soirée.")]
        public void TU_Attributes(string name, string url, string desc)
        {
            Assert.True(name != null && name.Length < 75);
            Assert.True(url != null && url.Contains('.'));
            Assert.False(url.Contains(' '));
            Assert.True(desc != null && desc.Length < 500);
        }
    }

}